import { Command, ExecMethodDataSet, Route, RouteMap } from './types';
/**
 * Data structure describing routes and commands for a particular module (which may be the entire project),
 * including execute methods (if any)
 */
export declare class ModuleCommands {
    readonly routeMap: RouteMap;
    readonly execMethodDataSet: ExecMethodDataSet;
    readonly routesByCommandName: Map<Command, Set<Route>>;
    constructor(routeMap?: RouteMap, execMethodDataSet?: ExecMethodDataSet);
    /**
     * Returns `true` if this instance has some actual data
     */
    get hasData(): boolean;
}
//# sourceMappingURL=module-commands.d.ts.map